> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ip cve details

> Get detailed lost of cve ips



## OpenAPI

````yaml get /v1/hosts/cve/{ip}
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/hosts/cve/{ip}:
    get:
      tags:
        - Hosts
      summary: Get ip cve details
      description: Get detailed lost of cve ips
      parameters:
        - name: ip
          in: path
          description: get the ip
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ipservices.IpCveResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '408':
          description: Request Timeout
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ipservices.IpCveResponse:
      type: object
      properties:
        data:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ipservices.IpCveDetails'
        message:
          type: string
        success:
          type: boolean
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
        success:
          type: boolean
    ipservices.IpCveDetails:
      type: object
      properties:
        exploit:
          type: array
          items:
            type: object
            properties:
              description:
                type: string
              file:
                type: string
              id:
                type: string
              platform:
                type: string
              type:
                type: string
              url:
                type: string
        id:
          type: string
        references:
          type: array
          items:
            type: string
        score:
          type: number
        services:
          type: array
          items:
            type: string
        severity:
          type: string
        summary:
          type: string
        vector_string:
          type: string
        weakness:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````